Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class StringAdditions

    java.lang.Object
      wogroovy.additions.StringAdditions

public class StringAdditions
extends Object

Constructor Summary
`StringAdditions()`

Method Summary
`static void` | `appendSeparatorIfLastNot(StringBuffer self, char separator, char not)`
`static String` | `decodedEntityName(String self)`
`static String` | `displayName(String self)`
`static double` | `distance(String self, String other)`
`static String` | `firstPropertyKey(String self)`
`static int` | `indexOfNumeric(String self)`
`static int` | `indexOfNumeric(String self, int fromIndex)`
`static Integer` | `integer(String self)`
`static String` | `keyPathWithoutFirstProperty(String self)`
`static String` | `keyPathWithoutLastProperty(String self)`
`static String` | `lastPathComponent(String self)`
`static String` | `lastPropertyKey(String self)`
`static String` | `pathExtension(String self)`
`static EOQualifier` | `qualifier(String self)`
`static EOQualifier` | `qualifierWithArray(String self, NSArray arguments)`
`static NSSelector` | `sortSelector(String self)`
`static String` | `stringByAppendingPathComponent(String self, String component)`
`static String` | `stringByAppendingPathExtension(String self, String extension)`
`static String` | `stringByDeletingLastPathComponent(String self)`
`static String` | `stringByDeletingPathExtension(String self)`
`static String` | `stringByEscapingApostrophe(String self)`
`static String` | `stringByEscapingNonBasicLatinChars(char self)`
`static String` | `stringByEscapingNonBasicLatinChars(String self)`
`static String` | `stringByEscapingSpace(String self)`
`static String` | `stringByNormalizingExistingPath(String self)`
`static String` | `stringByNormalizingPath(String self)`
`static String` | `stringByRemovingExtraDots(String self)`
`static String` | `stringByReplacingStringByString(String self, String old, String newString)`
`static NSTimestamp` | `timestamp(String self)`
`static String` | `toHexString(char self)`
`static String` | `toHexString(String self)`
`static String` | `toLowerCase(String self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringAdditions

    public StringAdditions()

Method Detail

### timestamp

    public static NSTimestamp timestamp(String self)

### sortSelector

    public static NSSelector sortSelector(String self)

### integer

    public static Integer integer(String self)

### keyPathWithoutFirstProperty

    public static String keyPathWithoutFirstProperty(String self)

### keyPathWithoutLastProperty

    public static String keyPathWithoutLastProperty(String self)

### lastPropertyKey

    public static String lastPropertyKey(String self)

### stringByEscapingApostrophe

    public static String stringByEscapingApostrophe(String self)

### stringByEscapingNonBasicLatinChars

    public static String stringByEscapingNonBasicLatinChars(char self)

### stringByEscapingNonBasicLatinChars

    public static String stringByEscapingNonBasicLatinChars(String self)

### stringByEscapingSpace

    public static String stringByEscapingSpace(String self)

### stringByRemovingExtraDots

    public static String stringByRemovingExtraDots(String self)

### stringByReplacingStringByString

    public static String stringByReplacingStringByString(String self,
                                                         String old,
                                                         String newString)

### stringByAppendingPathComponent

    public static String stringByAppendingPathComponent(String self,
                                                        String component)

### stringByAppendingPathExtension

    public static String stringByAppendingPathExtension(String self,
                                                        String extension)

### stringByDeletingLastPathComponent

    public static String stringByDeletingLastPathComponent(String self)

### stringByDeletingPathExtension

    public static String stringByDeletingPathExtension(String self)

### stringByNormalizingExistingPath

    public static String stringByNormalizingExistingPath(String self)

### stringByNormalizingPath

    public static String stringByNormalizingPath(String self)

### qualifier

    public static EOQualifier qualifier(String self)

### qualifierWithArray

    public static EOQualifier qualifierWithArray(String self,
                                                 NSArray arguments)

### appendSeparatorIfLastNot

    public static void appendSeparatorIfLastNot(StringBuffer self,
                                                char separator,
                                                char not)

### displayName

    public static String displayName(String self)

### distance

    public static double distance(String self,
                                  String other)

### firstPropertyKey

    public static String firstPropertyKey(String self)

### indexOfNumeric

    public static int indexOfNumeric(String self)

### indexOfNumeric

    public static int indexOfNumeric(String self,
                                     int fromIndex)

### lastPathComponent

    public static String lastPathComponent(String self)

### pathExtension

    public static String pathExtension(String self)

### toHexString

    public static String toHexString(char self)

### toHexString

    public static String toHexString(String self)

### toLowerCase

    public static String toLowerCase(String self)

### decodedEntityName

    public static String decodedEntityName(String self)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD